Assign Shifts to Employees in Planner
curl --request POST \
--url https://api-{region}.sesametime.com/schedule/v1/planners/{plannerId}/shift-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shiftAssignments": [
{
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2026-02-10",
"shiftId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "assign"
}
]
}
'import requests
url = "https://api-{region}.sesametime.com/schedule/v1/planners/{plannerId}/shift-assignments"
payload = { "shiftAssignments": [
{
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2026-02-10",
"shiftId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "assign"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
shiftAssignments: [
{
employeeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
date: '2026-02-10',
shiftId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
status: 'assign'
}
]
})
};
fetch('https://api-{region}.sesametime.com/schedule/v1/planners/{plannerId}/shift-assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "",
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}Planners
Assign Shifts to Employees in Planner
POST
/
schedule
/
v1
/
planners
/
{plannerId}
/
shift-assignments
Assign Shifts to Employees in Planner
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The planner ID
Body
application/json
Manage shift assignments for employees within a planner. Use 'status' field to assign or delete shifts in a single request.
Show child attributes
Show child attributes
Was this page helpful?
⌘I